Upgrade to July10 field order numbers not displaying

Forums Dynamic Forms for SharePoint Upgrade to July10 field order numbers not displaying

This topic contains 5 replies, has 2 voices, and was last updated by  William Summers 1 year, 3 months ago.

  • Author
    Posts
  • #12768

    William Summers
    Participant

    Good day sir.

    I upgraded from 3.x to the new version dated DFFS July 10, 2016. Everything works but the field ordering numbers are not working. They are blank. Also, although the rules are working to hide and show tabs, on the “Tabs” tab in DFFS config, only the first tab is shown. I have tested this on multiple lists. I am attaching a screen shot of this to hopefully get to the bottom of what I am doing wrong. In the attachments labeled ‘Tabs1 and Tabs2 you can see that there is a single tab being shown but in the rules there were actually quite a few. Although the rules still work to display the correct tabs, I cannot see them in the config.

    Much appreciated!

  • #12773

    Alexander Bautz
    Keymaster

    There are quite a few changes from v3 to the latest version, so I guess you have hit a snag with backwards compatibility. Bring up the dev console (hit F12 > Console) and post the error message you get (you must click on it to expand the code so I can see where the issue is).

    Alexander

  • #12787

    William Summers
    Participant

    I may have found an issue. My masterpage loads 1.7.1 jquery. This has not caused an issue in the past as i used a CEWP to point to the correct version you would bundle in earlier versions. What version can I go back to that might be compatible with 1.7.1? If not know i will go through a few older versions until i find one that works. Thanks!

  • #12789

    William Summers
    Participant

    Also, I am now using the JSLink method instead of the CEWP method which may be the issue. Not sure.

  • #12791

    Alexander Bautz
    Keymaster

    I have not tested v1.7.1 of jQuery so I cannot tell if there is some issues with this version. If you use the JSLink version you are most likely not overwriting this jQuery version with another one (which is not recommended), but just to be sure – paste this in the developer console:

    jQuery.fn.jquery

    Does it read 1.7.1?

    Did you get any errors in the dev console related to DFFS when tring to load the config? – if there are issues with backwards compatibility, I’ll do my best to help you with the transition.

    Alexander

  • #12798

    William Summers
    Participant

    ok I know I am not giving you what you want but that is because I am trying to get our team to abandon the old version first. I have no problem going back as this seems to have solved the issue. I was using the JSlink but now am back to CEWP. When I enter the setup, I get this version info.
    Dynamic Forms for SharePoint DFFS Backend v4.352|4.10|spjs-utility version: 1.25

    I am still going to do some testing and get you what you are looking for however, Just need time. Again, I appreciate all your help!

You must be logged in to reply to this topic.